function XXXXXupld_image(tabla,codigo,idfile)
{
// if (window.File && window.FileReader && window.FileList && window.Blob) {
//  alert('Success');
// } else {
//   alert('The File APIs are not fully supported in this browser.');
// }     

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
     
     var xfile=document.getElementById(idfile)
     if(xfile.files.length==0)
     {
          document.getElementById(idfile).click();
          return;
     }
          
     Swal.fire({
       title: 'Subir Archivos ?',
       text: document.getElementById(idfile).files.length+' Fotos',
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Subir!'
     }).then((result) =>
     {
          if (result.isConfirmed){
               var data;
               for(var idx=0; idx<xfile.files.length; idx++)
               {
                    data=new FormData();
                    data.append('script','upld_image');
                    data.append('tabla',tabla);
                    data.append('codigo',codigo);
                    data.append('xfile',xfile.files[idx]);
                    exe_ajax(data,'','',false);
               }
               location.reload();
          }
     })
     
}
     
